<script lang="ts">
  import ResearchItem from '$lib/components/Items/ResearchItem.svelte';
  import Section from '$lib/components/sections/Section.svelte';

  export let research: any = {};
</script>

<Section title="Начинающему исследователю" href="/research">
    <section class="grid 2xl:grid-cols-3 gap-8">
        {#each research?.data as { id, name, researchCategory: category, attachment, tagResearch: tags }}
            <ResearchItem
                {id}
                {name}
                {category}
                {attachment}
                {tags}
            />
        {/each}
    </section>
</Section>